Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core
Interface ITeamStatus

All Superinterfaces:
  IStatus

All Known Implementing Classes:
  TeamStatus

public interface ITeamStatus
extends IStatus

Defines the status codes used in the status of exceptions and errors relating to Team.

Since:
  3.0

Field Summary
`static int` | `RESOURCE_SYNC_INFO_ERROR` An error occurred trying to obtain the `SyncInfo` for a single resource.
`static int` | `SYNC_INFO_SET_CANCELLATION` The collection of sync info for a sync info set has been cancelled so the contents fdo not reflect the state of the system.
`static int` | `SYNC_INFO_SET_ERROR` An error occurred that may effect several resources in a `SyncInfoSet`.

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Method Summary
`IResource` | `getResource()` Return the resource associated with this status.

Methods inherited from interface org.eclipse.core.runtime.IStatus
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

Field Detail

### RESOURCE_SYNC_INFO_ERROR

    public static final int RESOURCE_SYNC_INFO_ERROR

  An error occurred trying to obtain the `SyncInfo` for a single resource. The error will be cleared when the set is reset or possibly when a sync info is added to the set for the resource for which the error occurred.

  See Also:
    Constant Field Values

### SYNC_INFO_SET_ERROR

    public static final int SYNC_INFO_SET_ERROR

  An error occurred that may effect several resources in a `SyncInfoSet`. The error will be cleared when the set is reset.

  See Also:
    Constant Field Values

### SYNC_INFO_SET_CANCELLATION

    public static final int SYNC_INFO_SET_CANCELLATION

  The collection of sync info for a sync info set has been cancelled so the contents fdo not reflect the state of the system. The error will be cleared when the set is reset.

  See Also:
    Constant Field Values

Method Detail

### getResource

    public IResource getResource()

  Return the resource associated with this status.

  Returns:
    Returns the resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.